> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/aig/ai-gateway/describeaigatewayipacl.md).

# DescribeAiGatewayIpAcl

## 1. 接口描述

本接口(DescribeAiGatewayIpAcl)用于查询AI网关IP访问控制

{% hint style="info" %}
**注意事项**

* 本接口认证方式请参考[认证方式](/api-reference/cn/api-introduction/instruction/authorization.md)
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称        | 必选 | 类型     | 描述      |
| ----------- | -- | ------ | ------- |
| gatewayUuid | 是  | String | 网关UUID。 |

## 3. 响应结果

| 参数名称        | 类型                                                                    | 描述                                                       |
| ----------- | --------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId   | String                                                                | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| ipAclType   | [IpAclType](/api-reference/cn/compute/aig/datastructure.md#ipacltype) | IP访问控制类型（白名单/黑名单）。                                       |
| ipAddresses | Array of String                                                       | IP地址列表。                                                  |
| enabled     | Boolean                                                               | 是否启用。                                                    |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}

1. **查询 AI 网关 IP 访问控制。**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/aigw
Content-Type: application/json
X-ZC-Action: DescribeAiGatewayIpAcl
<Common Request Params>

Request:
{
    "gatewayUuid": "1568676002379339603"
}
Response:
{
    "requestId": "T038F1970-4AD0-47A7-9C05-9389FD27CD8C",
    "response": {
        "requestId":"T038F1970-4AD0-47A7-9C05-9389FD27CD8C", 
        "ipAddresses":["1.1.1.1"],
        "ipAclType":"WHITE", 
        "enabled":true
    }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
